---
- name: Setup bucket sync timer
  hosts: all
  tasks:
      # https://dl.google.com/dl/cloudsdk/channels/rapid/downloads/google-cloud-sdk-248.0.0-linux-x86_64.tar.gz
      - name: Download install script
        get_url:
          url: https://sdk.cloud.google.com
          dest: /tmp/gcloud.sh
      - name: Run install script
        shell: bash /tmp/gcloud.sh --unattended
        become: yes
      - name: bucket | Create the wiki directory
        file:
          path: "{{ wiki_install_path }}"
          state: directory
        become: yes
      - name: bucket | Sync the bucket to the wiki directory
        shell: /usr/bin/gsutil -m rsync -r gs://{{ bucket_name }} "{{ wiki_install_path }}"
        become: yes
      - name: bucket | Create a systemd timer unit
        template:
          src: sync_bucket.timer.j2
          dest: /etc/systemd/system/sync_bucket.timer
          mode: 644
        become: yes
      - name: bucket | Create a systemd service unit
        template:
          src: sync_bucket.service.j2
          dest: /etc/systemd/system/sync_bucket.service
          mode: 644
        become: yes
      - name: bucket | Starting the timer
        systemd:
          name: sync_bucket.timer
          enabled: yes
          state: restarted
          masked: no
          daemon_reload: yes
        become: yes
